Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.io
Class CastorSerializer

    java.lang.Object
      com.jaspersoft.jasperserver.export.io.CastorSerializer

All Implemented Interfaces:
  ObjectSerializer, org.springframework.beans.factory.InitializingBean

    public class CastorSerializer

extends java.lang.Object
implements ObjectSerializer, org.springframework.beans.factory.InitializingBean

Version:
  $Id: CastorSerializer.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`CastorSerializer()`

Method Summary
`void` | `afterPropertiesSet()`
`protected void` | `createCastorMapping()`
`org.springframework.core.io.Resource[]` | `getCastorMappings()`
`java.lang.Object` | `read(java.io.InputStream stream, ImporterModuleContext importContext)`
`void` | `setCastorMappings(org.springframework.core.io.Resource[] castorMappings)`
`void` | `write(java.lang.Object object, java.io.OutputStream stream, ExporterModuleContext exportContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CastorSerializer

    public CastorSerializer()

Method Detail

### getCastorMappings

    public org.springframework.core.io.Resource[] getCastorMappings()

### setCastorMappings

    public void setCastorMappings(org.springframework.core.io.Resource[] castorMappings)

### afterPropertiesSet

    public void afterPropertiesSet()
                            throws java.lang.Exception

  Specified by:
    `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
  Throws:
    `java.lang.Exception`

### createCastorMapping

    protected void createCastorMapping()

### write

    public void write(java.lang.Object object,
                      java.io.OutputStream stream,
                      ExporterModuleContext exportContext)
               throws java.io.IOException

  Specified by:
    `write` in interface `ObjectSerializer`
  Throws:
    `java.io.IOException`

### read

    public java.lang.Object read(java.io.InputStream stream,
                                 ImporterModuleContext importContext)
                          throws java.io.IOException

  Specified by:
    `read` in interface `ObjectSerializer`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.